GET
/
nps
/
bill
/
txs
cURL
curl --request GET \
  --url https://apidev.nusd.me/nps/bill/txs \
  --header 'BIZ-API-KEY: <api-key>' \
  --header 'Biz-Api-Nonce: <api-key>' \
  --header 'Biz-Api-Signature: <api-key>'
{
  "status": 0,
  "data": {
    "total_count": "22",
    "total_amount_in": "14.754",
    "total_amount_out": "-17.47906",
    "total_fee": "-4.64649",
    "total_actual_in": "14.06336051",
    "total_actual_out": "-13.53913",
    "data": [
      {
        "wallet_id": "332cf3e4-af07-46f9-a3da-4aa2cbe3bdd4",
        "transaction_id": "83ee917f-d44d-4e54-8e8b-2e78faf00db8",
        "chain_id": "BASE_ETH",
        "token_id": "BASE_USDT",
        "to": "0xdc2e6b357766aa4b66f41dc29598379ce7d61d46",
        "type": "Withdrawal",
        "amount": "-0.00033",
        "fee_ratio": "0.01",
        "fee": "-0.0003",
        "amount_actual": "-0.003",
        "status": "Completed",
        "hash": "0x718ffc5820c82f3bbdfe523bf1e1f97730bc522987e0e92897caa207580d23",
        "created_at": "2026-02-26T02:59:58.913Z",
        "er": "1",
        "fee_fixed": "0.00",
        "confirmed_at": "2026-02-09T00:43:15.494Z",
        "completed_at": "2026-02-09T00:43:15.494Z"
      }
    ]
  },
  "msg": "<string>"
}

Authorizations

BIZ-API-KEY
string
header
required

API Key,请求需在请求头中携带。

Biz-Api-Nonce
string
header
required

时间戳,请求需在请求头中携带。

Biz-Api-Signature
string
header
required

签名串,请求需在请求头中携带。

Query Parameters

wallet_id
string
required

钱包id

Example:

"b2c13dba-7787-4db5-98e3-cff374dc04cd"

start
integer

查询的起始时间戳,单位:秒

Example:

1769996483

end
integer

查询的截止时间戳,单位:秒

Example:

1770601283

time_type
enum<string>
default:Created

start和end的匹配方式:Created 按交易的创建时间;Confirmed 按交易的确认时间;Completed 按交易的完成时间,默认 =Created

Available options:
Created,
Confirmed,
Completed
Example:

"Confirmed"

types
string

交易类型:Deposit 充币;Withdrawal 提币;多个用逗号分隔(可选)

Example:

"Deposit,Withdrawal"

statuses
string

Processing 待确认、Approved 审核通过、Cancelled 已取消、Rejected 被拒绝、Signed 已签名、Pending 已广播、Confirming 确认中、Completed 已完成、Failed 失败;多个用逗号分隔(可选)

Example:

"Processing,Approved,Completed"

chain_ids
string

链id,多个用逗号分隔(可选)

Example:

"BASE_ETH,BSC_BNB"

token_ids
string

币种id,多个用逗号分隔(可选)

Example:

"BASE_USDC,BSC_USDT"

page
integer
default:1

当前页码

Example:

1

num
integer
default:100

每页数量,最大每页1000;默认值:100

Required range: x <= 1000
Example:

20

Response

请求成功,返回交易账单列表

status
integer

状态码,0 表示成功。

Example:

0

data
object

交易账单数据

msg
string

错误消息,status 非 0 时存在